Bug 120830 - CRASH opening Form-Based Filters
Summary: CRASH opening Form-Based Filters
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-10-23 11:56 UTC by Xisco Faulí
Modified: 2018-10-29 16:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (5.57 KB, text/plain)
2018-10-23 20:32 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-23 11:56:13 UTC
Steps to reproduce:
1. Open attachment 145839 [details] from bug 120713
2. Go to tst_boolean form
3. Click on Form-Based Filter icon on the DataBase Form toolbar
-> Crash!

Reproduced in

Version: 6.2.0.0.alpha1+
Build ID: cd6dd8c6f3562cbccbc971b916c6a8933840ffeb
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 1 Xisco Faulí 2018-10-23 11:57:22 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7469e078dc3a7a891bd7f5c44a693e4421d3bcdd

author	Noel Grandin <noel.grandin@collabora.co.uk>	2018-08-20 11:21:55 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2018-08-21 12:10:16 +0200
commit	7469e078dc3a7a891bd7f5c44a693e4421d3bcdd (patch)
tree	dd8a8331fb84ab8d76ae9f547586884bde49286c
parent	9ca80b550216daac3cfb3d373c344c0154fa7df2 (diff)
loplugin:useuniqueptr in FmXGridCell

Bisected with: bibisect-linux64-6.2

Adding Cc: to Noel Grandin
Comment 2 Julien Nabet 2018-10-23 20:32:54 UTC
Created attachment 145949 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Commit Notification 2018-10-25 10:08:42 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae081cc1137fc0f41612504994d58fe0d9c0a7fc

tdf#120830 crash opening Form-Based Filters

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-10-29 16:27:12 UTC
Verified in

Version: 6.2.0.0.alpha1+
Build ID: 19a0698079fbba36646a2d06eaec3a7fde60b2f5
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Noel Grandin, Thanks for fixing this one!!